Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.gef
Class ScapePartTreeFactory

    java.lang.Object
      org.eclipse.amp.agf.gef.ScapePartTreeFactory

All Implemented Interfaces:
  org.eclipse.gef.EditPartFactory

    public class ScapePartTreeFactory

extends java.lang.Object
implements org.eclipse.gef.EditPartFactory

A factory for creating ScapePartTree objects.

Constructor Summary
`ScapePartTreeFactory(IModel model, IGraphicsAdapter graphicsAdapter)`

Method Summary
`org.eclipse.gef.EditPart` | `createEditPart(org.eclipse.gef.EditPart context, java.lang.Object model)`
`protected org.eclipse.gef.EditPart` | `getPartForElement(java.lang.Object model)` Maps an object to an EditPart.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScapePartTreeFactory

    public ScapePartTreeFactory(IModel model,
                                IGraphicsAdapter graphicsAdapter)

Method Detail

### createEditPart

    public org.eclipse.gef.EditPart createEditPart(org.eclipse.gef.EditPart context,
                                                   java.lang.Object model)

  Specified by:
    `createEditPart` in interface `org.eclipse.gef.EditPartFactory`
  Parameters:
    `context` -
    `model` -
  Returns:
  See Also:
    `EditPartFactory.createEditPart(org.eclipse.gef.EditPart, java.lang.Object)`

### getPartForElement

    protected org.eclipse.gef.EditPart getPartForElement(java.lang.Object model)

  Maps an object to an EditPart.

  Parameters:
    `model` - the model
  Returns:
    the part for element
  Throws:
    `java.lang.RuntimeException` - if no match was found (programming error)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD